vdsm up to 4.20.36 qemu-img Image Upload resource management

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
5.4$0-$5k0.00

A vulnerability classified as problematic has been found in vdsm up to 4.20.36. Affected is an unknown code of the component qemu-img. The manipulation as part of a Image leads to a resource management vulnerability (Upload). CWE is classifying the issue as CWE-399. This is going to have an impact on availability. CVE summarizes:

It was found that vdsm before version 4.20.37 invokes qemu-img on untrusted inputs without limiting resources. By uploading a specially crafted image, an attacker could cause the qemu-img process to consume unbounded amounts of memory of CPU time, causing a denial of service condition that could potentially impact other users of the host.

The bug was discovered 08/09/2018. The weakness was disclosed 08/09/2018 as not defined bug report (Bugzilla). The advisory is available at bugzilla.redhat.com. This vulnerability is traded as CVE-2018-10908 since 05/09/2018. It is possible to launch the attack remotely. The exploitation doesn't require any form of authentication. Successful exploitation requires user interaction by the victim. The technical details are unknown and an exploit is not available.

Upgrading to version 4.20.37 eliminates this vulnerability.

The entries VDB-132206, VDB-146178 and VDB-207412 are pretty similar.

Productinfo

Name

Version

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 5.5
VulDB Meta Temp Score: 5.4

VulDB Base Score: 3.6
VulDB Temp Score: 3.5
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 6.3
NVD Vector: 🔍

CNA Base Score: 6.5
CNA Vector (Red Hat, Inc.): 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Name: Upload
Class: Resource management / Upload
CWE: CWE-399 / CWE-404
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: vdsm 4.20.37

Timelineinfo

05/09/2018 🔍
08/09/2018 +92 days 🔍
08/09/2018 +0 days 🔍
08/09/2018 +0 days 🔍
08/10/2018 +1 days 🔍
05/01/2023 +1725 days 🔍

Sourcesinfo

Advisory: bugzilla.redhat.com
Status: Not defined
Confirmation: 🔍

CVE: CVE-2018-10908 (🔍)
See also: 🔍

Entryinfo

Created: 08/10/2018 07:22 AM
Updated: 05/01/2023 10:41 AM
Changes: 08/10/2018 07:22 AM (59), 03/14/2020 10:03 AM (2), 05/01/2023 10:41 AM (14)
Complete: 🔍
Cache ID: 44:B17:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Want to stay up to date on a daily basis?

Enable the mail alert feature now!